#
# spec file for package tightvnc
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tightvncviewer
BuildRequires:  libjpeg-devel
BuildRequires:  unzip
BuildRequires:  xorg-x11-devel
Url:            http://www.tightvnc.com
Requires:       xdpyinfo
Requires:       xinetd
Requires:       xorg-x11-Xvnc
Provides:       vnc
Obsoletes:      vnc
PreReq:         sed
Summary:        A virtual X-Window System server
License:        GPL-2.0+
Group:          Productivity/Networking/Remote Desktop
Version:        1.3.10
Release:        14.15.4
Source0:        http://www.tightvnc.com/download/%{version}/tightvnc-%{version}_unixsrc.tar.bz2
Source1:        vnc_inetd_httpd
Source2:        vnchttpd.xinetd
Source3:        vnc.reg
Source4:        tightvnc-firewall-vnc
Source5:        tightvnc-firewall-http
Patch0:         vncviewer.patch
Patch1:         vncserver.patch
Patch2:         vncpasswd.arg.patch
Patch3:         tightvnc-X_SetInputFocus.patch
Patch4:         vncconnect.patch
Patch5:         vncpasswd.patch
Patch6:         tightvnc-byteorder.patch
Patch7:         tightvnc-vncviewer-scrollbar.patch
Patch8:         tightvnc-newfbsize.patch
Patch9:         tightvnc-rfbversion.patch
Patch10:        tightvnc-fullscreen.patch
Patch11:        vncserver.noreset.patch
Patch12:        tightvnc-man.patch
Patch13:        tightvnc-altgr.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
With vnc, start a virtual X Windows System server and get access to it
from different machines with the vnc-viewer.  You can change the
machine without terminating your session.

The viewer and server are also available for Windows -- they allow
access to vnc under Windows.  You can find it under /dosutils/tightvnc
on the installation media.

%prep
%setup -q -n vnc_unixsrc
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13

%build
xmkmf
make World CCOPTIONS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -m755 -p $RPM_BUILD_ROOT/usr/bin
mkdir -m755 -p $RPM_BUILD_ROOT/usr/share/vnc/classes
mkdir -m755 -p $RPM_BUILD_ROOT%_mandir/man1
./vncinstall $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT%_mandir
#install -m644 classes/* $RPM_BUILD_ROOT/usr/share/vnc/classes
#mkdir -m755 -p $RPM_BUILD_ROOT/etc
#install -m644 tightvncserver.conf $RPM_BUILD_ROOT/etc/
#mkdir -m755 -p $RPM_BUILD_ROOT/etc/xinetd.d/
#cp %{SOURCE2} $RPM_BUILD_ROOT/etc/xinetd.d/vnchttpd
#install -m755 -c %{SOURCE1} $RPM_BUILD_ROOT/usr/bin/
#mkdir -m755 -p $RPM_BUILD_ROOT/etc/slp.reg.d/
#install -m644 -c %{SOURCE3} $RPM_BUILD_ROOT/etc/slp.reg.d/
#mkdir -m755 -p %buildroot/etc/sysconfig/SuSEfirewall2.d/services
#install -m644 -c %SOURCE4 %buildroot/etc/sysconfig/SuSEfirewall2.d/services/vnc-server
#install -m644 -c %SOURCE5 %buildroot/etc/sysconfig/SuSEfirewall2.d/services/vnc-httpd
# we don't ship Xvnc
#rm $RPM_BUILD_ROOT%_mandir/man1/Xvnc*
#remove conflicting files
cd $RPM_BUILD_ROOT/usr/bin/
rm vncpasswd* vncserver vncconnect
mv vncviewer vncviewer-tightvnc
cd $RPM_BUILD_ROOT%_mandir/man1/
rm Xvnc.1 vncconnect.1 vncpasswd.1 vncserver.1
mv vncviewer.1 vncviewer-tightvnc.1


%if 0%{?suse_version} >= 1315

%post
%_sbindir/update-alternatives \
    --install %{_bindir}/vncviewer vncviewer %{_bindir}/vncviewer-tightvnc 25 \
    --slave %{_mandir}/man1/vncviewer.1.gz  vncviewer.1.gz  %{_mandir}/man1/vncviewer-tightvnc.1.gz

%postun
if [ "$1" = 0 ] ; then
   "%_sbindir/update-alternatives" --remove vncviewer /usr/bin/vncviewer-tightvnc
fi

%endif

%files
%defattr(-,root,root)
%doc README LICENCE.TXT ChangeLog WhatsNew
/usr/bin/*
%doc %_mandir/*/*

%changelog
* Tue Oct 22 2013 sndirsch@suse.com
- vncserver script requires xdpyinfo (bnc#846953)
* Tue Jul 23 2013 msrb@suse.com
- Remove xinetd service for VNC. (Moved to xorg-x11-Xvnc.)
  (bnc#800959)
* Fri Apr  5 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Sun Sep 19 2010 vuntz@opensuse.org
- Update to version 1.3.10:
  + Unix Server:
  - Applied fixes for 64-bit Linux issues.
  - Made the vncserver script read configuration from files
    (system-wide /etc/tightvncserver.conf and user-specific
    $HOME/.vnc/tightvncserver.conf).
  + All viewers:
  - Allow configuring JPEG quality level regardless of the
    preferred encoding set. This makes sense because TightVNC
    Servers can transmit video data as JPEG even if Tight is not
    the preferred encoding.
  + Other minor improvements and bugfixes.
- Rebase vncserver.patch to apply without fuzz.
- Install tightvncserver.conf to /etc.
- Remove Xvnc manpage, since we do not ship Xvnc here.
* Tue Sep  7 2010 max@novell.com
- Add tightvnc-altgr.patch to fix an issue with AltGr modifier
  keys (bnc#637313).
* Wed Sep 30 2009 crrodriguez@opensuse.org
- This package requires xinetd
* Mon Jul 28 2008 max@suse.de
- Remove unimplemented -user option from manpage (bnc#409945)
* Wed Jan 16 2008 sndirsch@suse.de
- start Xvnc with "-noreset" to avoid crashes during Xserver reset
  (Bug #351338)
* Wed Oct 24 2007 sndirsch@suse.de
- "-SecurityTypes None" parameter no longer required due to switch
  back to xf4nc
* Thu Aug  2 2007 max@suse.de
- New version: 1.3.9
- Improved x86_64 support and Java viewer
- Fixed fullscreen mode of vncviewer (#275985)
* Fri May  4 2007 ssommer@suse.de
- add unzip to BuildRequires
* Tue Apr 24 2007 max@suse.de
- Added tightvnc-rfbversion.patch to work around the non-standard
  RFB protocol version reported by the XF4VNC server on SLES9.
  (#267023)
* Thu Mar  1 2007 max@suse.de
- Fixed the session manager fix (sic!) in the vncserver script.
- Reverted xinetd fixes that got lost with the last checkin.
  (#249810)
* Thu Feb  1 2007 max@suse.de
- Added support for the NewFBSize protocol extension (#199702).
- Prevent X clients inside an Xvnc session from getting killed by
  the "outer" X session's session manager (#226051)
- New version: 1.3.8:
- File transfers between viewer and server machines.
- Support for RFB protocol version 3.7, with TightVNC extensions.
- Several other improvements and bug fixes to the Unix and Java
  viewers.
* Fri Jan 26 2007 sndirsch@suse.de
- reverted previous change due to switch back to RH VNC
* Mon Jan 15 2007 sndirsch@suse.de
- removed "-SecurityTypes None" parameter again (Bug #234499)
* Thu Oct 26 2006 lnussel@suse.de
- remove hardcoded display 42 and add the newly required parameter
  "-SecurityTypes None" to xinetd config
* Mon Oct 23 2006 lnussel@suse.de
- also fix path /usr/X11R6/bin/Xvnc -> /usr/bin/Xvnc in config file
* Sat Aug 19 2006 olh@suse.de
- move binaries to /usr/bin and adjust /etc/xinetd.d/vnc
* Wed Aug  9 2006 sndirsch@suse.de
- adjusted to new X.Org 7 Xvnc and font path
* Mon May  8 2006 danw@suse.de
- Tweak the Xaw scrollbars in vncviewer to behavior more like
  gtk/qt/mac/windows/anything-written-since-the-late-80s
  scrollbars, so that people don't think they're just broken.
  (#173294)
* Wed Mar 22 2006 max@suse.de
- Fixed a color bug that happened when vncviewer was running on a
  machine with different byte order that the X server it uses.
  (bug #156440).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Sep  9 2005 schwab@suse.de
- Fix buffer overflows.
* Fri Jul  8 2005 max@suse.de
- Added missing header includes.
* Thu Jun 23 2005 meissner@suse.de
- use RPM_OPT_FLAGS.
* Fri Mar 26 2004 adrian@suse.de
- fix reg file to use also the new ports (#31004)
* Sat Mar 20 2004 adrian@suse.de
- do not use () in SLP descriptions, might break some clients
* Fri Mar 19 2004 max@suse.de
- Changed the ports in vnc.xinetd to 5801..5803 and 5901..5903,
  according to bug #31004.
- Added tightvnc-X_SetInputFocus.patch to prevent vncviewer from
  crashing in certain window managers when being iconified
  (bug #36133).
* Fri Feb 13 2004 adrian@suse.de
- anounce java service with a http:// URL
* Wed Dec 17 2003 max@suse.de
- Fixed a typo and added support for 1600x1200 to vnc.xinetd
  (Bug #33702).
* Wed Nov 19 2003 adrian@suse.de
- use $HOSTNAME instead of $LOCALHOST in vnc.reg file
* Thu Nov 13 2003 adrian@suse.de
- add vnc.reg file template, to register remote logins via
  kdm in SLP server
* Thu Sep 11 2003 meissner@suse.de
- fixed case of vncviewer.class and .jar in micro httpd #30425.
* Fri Aug 29 2003 kukuk@suse.de
- Mark xinetd.d/vnc as %%config(noreplace)
* Mon Aug  4 2003 max@suse.de
- New version: 1.2.9.
* Wed May 21 2003 meissner@suse.de
- Readded vnc xinetd snippet and micro httpd to installation.
* Fri May  9 2003 max@suse.de
- Switched to the tightvnc sources from http://www.tightvnc.com
  and renamed the package accordingly.
- Removed the Xvnc tree from the source tarball, as it makes up
  90%% of the space, but isn't needed anymore.
* Wed Apr 30 2003 sndirsch@suse.de
- removed Xvnc from filelist; using XFree86 4.x basec Xvnc now;
  therefore package now requires XFree86 subpackage 'XFree86-Xvnc'
* Mon Mar  3 2003 max@suse.de
- Added vnc-cookie.patch and vnc-srand.patch to fix two security
  weaknesses reported by the security team.
- Added vnc-localhost.patch to clarify the meaning of the
  - localhost switch to Xvnc.
- Fixed a typo in Imake.cf for x86_64.
* Thu Feb 13 2003 meissner@suse.de
- Added a small httpd shell script which just can server the VNC
  Viewer applet.
- Added xinetd entry for micro httpd and vnc serving (default off).
* Mon Sep  9 2002 max@suse.de
- Disabled vnc_unixsrc-partial-http-requests.dif (Bug #18483).
- Extended Imake.cf and linux.cf to fix build on ppc64.
* Sat Jul 27 2002 kukuk@suse.de
- Fix neededforbuild
* Fri Jun  7 2002 max@suse.de
- Applying the lib64 patch for x86_64 to the other lib64
  architectures as well.
* Tue May 28 2002 ro@suse.de
- fix build on x86_64
* Sat Apr 20 2002 adrian@suse.de
- fix build for mips finaly
* Fri Apr 19 2002 adrian@suse.de
- fix build for mips
* Tue Feb 12 2002 poeml@suse.de
- add vncpasswd.arg to set a password via the commandline, to be
  used when getpass() can't read from /dev/console (there are
  situations where this can make sense, like in the instsys)
* Fri Feb  8 2002 draht@suse.de
- patch against hang ini Xvnc upon receipt of incomplete http
  requests, from Tim Waugh <twaugh@redhat.com>
* Wed Aug 29 2001 schwab@suse.de
- Fix configuration for ia64.
* Wed Aug 22 2001 ro@suse.de
- don't apply sparc patch after ppc patches
* Mon Aug 20 2001 kukuk@suse.de
- Fix to compile on SPARC again
* Tue Jun 26 2001 max@suse.de
- fixed Imakefile for new xmkmf
* Wed Apr 18 2001 froh@suse.de
- for the sake of bugfixes update to 3.3.3r2
- fix for s390
- fix for ppc
* Fri Apr  6 2001 kukuk@suse.de
- Fix group tag
* Mon May  8 2000 max@suse.de
- New Version: 3.3.3r1
* Thu Mar 23 2000 schwab@suse.de
- Add support for ia64.
* Mon Nov 29 1999 kukuk@suse.de
- Add patches for SPARC
* Thu Oct 14 1999 max@suse.de
- new version 3.3.3
- supports shared sessions
* Thu Sep 16 1999 uli@suse.de
- fixed Imake.cf, linux.cf for PPC
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep  9 1999 bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Jun 29 1999 max@suse.de
- fixed vncserver. It was broken because of a possible perl bug.
* Wed Mar 10 1999 uli@suse.de
- fixed broken arch. probing causing error at build time on AXP
  systems
* Thu Jan  7 1999 max@suse.de
- new version 3.3.2r3
- fixes memory hole in Xvnc and some security bugs
- new "vncserver" perl script
- integrated the classes for the java vnc-viewer
* Sat Sep 19 1998 ro@suse.de
- added dif-file and %%patch to spec
* Fri Sep 18 1998 max@suse.de
- new version 3.3.2r2
- corrected font path to work with base xf86 installation
- workaround for the perl error that happend when starting vncserver
* Fri Jul 10 1998 max@suse.de
- new version 3.3.2
- patch for gzip'ed fonts no longer necessary
* Tue May 19 1998 max@suse.de
- renamed source and spec files
- integrated HTML and PDF documentation contained in
  vnc-3.3.1_doc.tar.gz
* Wed May 13 1998 max@suse.de
- new package
- added ability to handle gzip'ed fonts in addition to compressed ones by
  dropping in the font library from XFree86-3.3.2.
